#ifndef __BSP_ADC_H__
#define __BSP_ADC_H__
   
typedef struct
{
    uint16_t   ADonversionState :4;
    uint16_t   ADonversionData :12;
}_ADSignal;

extern void AdcConversionInit(uint8_t u8PortIndex,uint8_t u8PinNumber,uint8_t u8AnNumber);
extern uint16_t SetConversionTrigger(uint8_t u8AnNumber);
extern _ADSignal GetConversionResult(uint8_t u8AnNumber);
extern void BSP_ADC_Init(uint8_t u8PortIndex,uint8_t u8PinNumber,uint8_t u8AnNumber);
extern void ADC_Wakup_Init(void);
static void ADC_Wakup_CallBack(uint8_t channel);
    
#endif
